Package: org.apache.groovy.antlr

## [Java] Class GroovydocVisitor

- org.apache.groovy.antlr.GroovydocVisitor

-     public class GroovydocVisitor
      extends ClassCodeVisitorSupport

  A visitor which collects Groovydoc information.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovydocVisitor(SourceUnit unit, String packagePath, List<LinkArgument> links)`
    `GroovydocVisitor(SourceUnit unit, String packagePath, List<LinkArgument> links, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<String, GroovyClassDoc>` | `getGroovyClassDocs()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public void` | `visitClass(ClassNode node)`
    `` | `public void` | `visitConstructor(ConstructorNode node)`
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `public void` | `visitField(FieldNode node)`
    `` | `public void` | `visitMethod(MethodNode node)`
    `` | `public void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public GroovydocVisitor(SourceUnit unit, String packagePath, List<LinkArgument> links)

    - #### public GroovydocVisitor(SourceUnit unit, String packagePath, List<LinkArgument> links, Properties properties)

  - ### Method Detail

    - #### public Map<String, GroovyClassDoc> getGroovyClassDocs()

    - #### @Override
      protected SourceUnit getSourceUnit()

    - #### @Override
      public void visitClass(ClassNode node)

    - #### @Override
      public void visitConstructor(ConstructorNode node)

    - #### @Override
      public void visitDeclarationExpression(DeclarationExpression expression)

    - #### @Override
      public void visitField(FieldNode node)

    - #### @Override
      public void visitMethod(MethodNode node)

    - #### @Override
      public void visitProperty(PropertyNode node)